GuideLab API

Sync scan inbox from scanner connections

Trigger a sync of scan inbox items from all configured scanner connections. Optionally specify a single connectionId to sync. Automatically attempts to match new items to tenant-visible orders and patients.

POST
/scan-inbox/sync

Trigger a sync of scan inbox items from all configured scanner connections. Optionally specify a single connectionId to sync. Automatically attempts to match new items to tenant-visible orders and patients.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/scan-inbox/sync" \  -H "Content-Type: application/json" \  -d '{}'
{  "results": [    {      "connectionId": "string",      "newItems": 0    }  ],  "totalNewItems": 0}
Empty
Empty
Empty
Empty